﻿using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Data;

namespace DockingManager_sample
{
    public class ValueConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
           
            if ((bool)value)
            {
                return DockState.Float;
            }
            else
            {
                return DockState.Hidden;
            }
            
        }
        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if ((DockState)value == DockState.Hidden)
            {
                return false;
            }
            else
            {
                return true;
            }
        }
    }
}
